using System;
using System.ComponentModel;

namespace Fort23.Core
{
    public abstract class CObject: ISupportInitialize, IDisposable
    {
        public virtual void BeginInit()
        {
        }
        
        public virtual void EndInit()
        {
        }

        public virtual void Dispose()
        {
        }
        
        public override string ToString()
        {
            return String.Empty;
        }
    }
}